<template>
  <popup ref="popup" @close="$emit('close')">
    <div class="contact-success-panel">
      <div class="content">
        <div class="close-button">
          <close-button @click="close" />
        </div>
        <div class="panel-body">
          <div class="panel-title">{{ $t("preorderContact.title") }}</div>
          <div class="contact-success-icon"></div>
          <div class="desc">{{ $t("preorderContact.successMessage") }}</div>
          <button class="submit-button" @click="close">
            {{ $t("preorderContact.close") }}
          </button>
        </div>
      </div>
    </div>
  </popup>
</template>

<script>
import moment from "moment";
import Popup from "../Popup";
import Status from "./Status";
import CloseButton from "@/components/CloseButton";
import { STATUS_CANCELED_BY_CUSTOMER } from "@/models/preorder";

export default {
  components: {
    Popup,
    Status,
    CloseButton
  },

  props: {
    order: {
      type: Object
    }
  },

  methods: {
    close() {
      this.$refs.popup && this.$refs.popup.close();
    }
  },

  computed: {
    isCancelled() {
      return this.order.status === STATUS_CANCELED_BY_CUSTOMER;
    },

    reservationTime() {
      return moment(this.order.reservationTime);
    }
  }
};
</script>

<style lang="scss" scoped>
.contact-success-panel {
  position: relative;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  margin: 0 auto;
  user-select: none;
  text-align: center;
  box-sizing: border-box;

  @include media-breakpoint-up(md) {
    &::after {
      content: "";
      display: inline-block;
      height: 100%;
      width: 0;
      vertical-align: middle;
    }
  }
}

.content {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: $color-white;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  overflow-y: scroll;
  text-align: left;
  padding: 20px;

  @include media-breakpoint-up(md) {
    display: inline-block;
    width: 540px;
    position: relative;
    vertical-align: middle;
    max-height: 90vh;
    padding: 30px;
  }
}

.panel-title {
  font-size: 24px;
  line-height: 36px;
  font-weight: 500;
  text-align: center;
  margin-bottom: 20px;
}

.close-button {
  position: absolute;
  z-index: 1;
  top: 10px;
  right: 10px;
  width: 32px;
  height: 32px;
  vertical-align: middle;

  @include media-breakpoint-up(md) {
    top: 20px;
    right: 20px;
  }
}

.submit-button {
  display: block;
  max-width: 255px;
  height: 48px;
  width: 100%;
  border-radius: 2px;
  background-color: #9da6b9;
  margin: 60px auto 40px;
  border: none;
  color: #ffffff;
  font-size: 16px;
}

.contact-success-icon {
  width: 106px;
  height: 59px;
  background-image: url("/static/images/ic-contact-sent.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 106px 59px;
  margin: 57px auto 62px;
}

.desc {
  color: #70778b;
  font-size: 13px;
  text-align: center;
}
</style>
